package com.xhpc.pp.mapper;

import com.xhpc.pp.domain.ServiceField;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface ServiceFieldMapper {

    int deleteByPrimaryKey(Long id);

    int insert(ServiceField record);

    ServiceField selectByPrimaryKey(Long id);

    List<ServiceField> query(Map<String, Object> query);

    int updateByPrimaryKeySelective(ServiceField record);

    List<Map<String, Object>> querySQL(Map<String, String> query);

}
